Create Pending Record bulk
POST /v1/record/pending/bulk • validated by `postPendingRecordBulk`
/v1/record/pending/bulkAuthentication requiredA pending record refers to documents (invoice, quote, order, loan) that can later be linked to records such as payments, credits, and accounting movements.
- Requires organization permissions for this resource.
- Validated by Zod schema: postPendingRecordBulk.
Request details
Path params
No path parameters for this endpoint.
Query params
No explicit query schema was captured for this endpoint.
Body fields
[] (required)
Type: object
[].description
Type: string
[].notes
Type: string
[].reference
Type: string
[].sourcePendingRecordId
Type: number
[].divisionId (required)
Type: number
[].beneficiaryId
Type: number
[].contact
Type: object
[].contact.name (required)
Type: string
[].contact.type (required)
Enum-like validator generated by zodFromObj
[].contact.taxId
Type: string
[].contact.reference
Type: string
[].contact.labels
Type: array
Example:
[].contact.labels[] (required)
Type: string
[].contact.contact
Type: array
Example:
[].contact.contact[] (required)
Type: object
[].contact.contact[].type (required)
Type: string
[].contact.contact[].data (required)
Type: string
[].contact.contact[].dataType
Type: enum
Example: string
[].contact.lat
Type: number
[].contact.lon
Type: number
[].contact.metadata
Type: object
[].contact.metadata.adquisitionChannel
Type: string
[].contact.creditLimit
Type: number
[].soldBy
Type: number
[].type (required)
Type: enum
Example: INVOICE
[].isSell (required)
Boolean parser helper from common/utils.zBoolean
[].date
Type: string
Example:
[].dueDate
Type: string
Example:
[].currency (required)
Enum-like validator generated by zodFromObj
[].recurrency
Type: object
[].recurrency.isPaused
Boolean parser helper from common/utils.zBoolean
Example: false
[].recurrency.isCanceled
Boolean parser helper from common/utils.zBoolean
Example: false
[].recurrency.autoChargeEnabled
Boolean parser helper from common/utils.zBoolean
[].recurrency.paymentMethodId
Type: string
[].recurrency.date (required)
Type: array
Example:
[].recurrency.date[] (required)
Type: number
[].recurrency.date[].month (required)
Type: number
[].recurrency.date[].day (required)
Type: number
[].recurrency.type (required)
Type: enum
Example: MONTHLY
[].recurrency.createDaysBefore
Type: number
Example: 3
[].recurrency.dueAfter
Type: number
[].recurrency.repeatUntil
Type: string
[].recurrency.inPayrollSince
Type: string
Example:
[].recurrency.pauseOnPastDue
Boolean parser helper from common/utils.zBoolean
[].recurrency.updatePrices
Boolean parser helper from common/utils.zBoolean
[].recurrency.files
Type: array
Example:
[].recurrency.files[] (required)
Type: object
[].recurrency.files[].s3Key (required)
Type: string
[].recurrency.files[].fileName (required)
Type: string
[].createFirstInvoice
Boolean parser helper from common/utils.zBoolean
[].generateTaxId
Type: enum
Example: none
[].taxId
Type: string
Example:
[].taxInvoiceType
Type: number
[].isInstantDelivery
Boolean parser helper from common/utils.zBoolean
[].updatePrices
Boolean parser helper from common/utils.zBoolean
[].elements
Type: array
Example:
[].elements[] (required)
Type: unknown
[].labels
Type: array
Example:
[].labels[] (required)
Type: string
[].clientdata
Type: object
[].metadata
Type: unknown
[].taskId
Type: number
[].payment
Type: object
[].payment.paymentMethod (required)
Type: enum
Example: CASH
[].payment.accountId (required)
Type: number
[].payment.amount
Type: number
[].payment.state
Type: enum
Example: PENDING
[].payment.reference
Type: string
[].payment.amountConversion
Type: number
[].payment.receivedFrom
Type: number
[].payment.description
Type: string
[].payment.labels
Type: array
Example:
[].payment.labels[] (required)
Type: string
[].payment.clientdata
Type: object
[].payment.date
Type: string
[].payment.metadata
Type: unknown
[].credit
Type: object
[].credit.amount (required)
Type: number
[].credit.interest (required)
Type: number
[].credit.period (required)
Type: enum
Example: DAILY
[].credit.interestType
Type: enum
Example: COMPOUND
[].credit.totalNumberOfPayments (required)
Type: number
[].credit.latePaymentFee
Type: number
Example: 0
[].credit.latePaymentInDays
Type: number
Example: 3
[].credit.paymentDate (required)
Type: number
[].credit.paymentsStartsOn
Type: string
[].credit.pendingRecordId
Type: number
[].credit.accountId
Type: number
[].credit.paymentMethod
Type: enum
Example: CASH
[].credit.contact
Type: array
Example:
[].credit.contact[] (required)
Type: object
[].credit.contact[].type (required)
Type: string
[].credit.contact[].data (required)
Type: string
[].credit.contact[].dataType
Type: enum
Example: string
[].redeem
Type: object
[].redeem.returnId (required)
Type: number
[].redeem.amount (required)
Type: number
Default payloads
Path params
{}Query
{}Body
[
{
"divisionId": 1,
"type": "INVOICE",
"isSell": true,
"currency": "string"
}
]Sample response
{
"success": true,
"message": "<value>",
"count": "<value>"
}Test this endpoint now
Use your own credentials and execute a live request directly from this page.
1. Configure authentication for testing
You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.
2. Select endpoint
/v1/record/pending/bulkAuthentication requiredGroup: Accounting / Pending Record
POST /v1/record/pending/bulk • validated by `postPendingRecordBulk`
A pending record refers to documents (invoice, quote, order, loan) that can later be linked to records such as payments, credits, and accounting movements.
- Requires organization permissions for this resource.
- Validated by Zod schema: postPendingRecordBulk.
Body fields
- []requiredType: object
- [].descriptionType: string
- [].notesType: string
- [].referenceType: string
- [].sourcePendingRecordIdType: number
- [].divisionIdrequiredType: number
- [].beneficiaryIdType: number
- [].contactType: object
- [].contact.namerequiredType: string
- [].contact.typerequiredEnum-like validator generated by zodFromObj
- [].contact.taxIdType: string
- [].contact.referenceType: string
- [].contact.labelsType: arrayEjemplo:
- [].contact.labels[]requiredType: string
- [].contact.contactType: arrayEjemplo:
- [].contact.contact[]requiredType: object
- [].contact.contact[].typerequiredType: string
- [].contact.contact[].datarequiredType: string
- [].contact.contact[].dataTypeType: enumEjemplo: string
- [].contact.latType: number
- [].contact.lonType: number
- [].contact.metadataType: object
- [].contact.metadata.adquisitionChannelType: string
- [].contact.creditLimitType: number
- [].soldByType: number
- [].typerequiredType: enumEjemplo: INVOICE
- [].isSellrequiredBoolean parser helper from common/utils.zBoolean
- [].dateType: stringEjemplo:
- [].dueDateType: stringEjemplo:
- [].currencyrequiredEnum-like validator generated by zodFromObj
- [].recurrencyType: object
- [].recurrency.isPausedBoolean parser helper from common/utils.zBooleanEjemplo: false
- [].recurrency.isCanceledBoolean parser helper from common/utils.zBooleanEjemplo: false
- [].recurrency.autoChargeEnabledBoolean parser helper from common/utils.zBoolean
- [].recurrency.paymentMethodIdType: string
- [].recurrency.daterequiredType: arrayEjemplo:
- [].recurrency.date[]requiredType: number
- [].recurrency.date[].monthrequiredType: number
- [].recurrency.date[].dayrequiredType: number
- [].recurrency.typerequiredType: enumEjemplo: MONTHLY
- [].recurrency.createDaysBeforeType: numberEjemplo: 3
- [].recurrency.dueAfterType: number
- [].recurrency.repeatUntilType: string
- [].recurrency.inPayrollSinceType: stringEjemplo:
- [].recurrency.pauseOnPastDueBoolean parser helper from common/utils.zBoolean
- [].recurrency.updatePricesBoolean parser helper from common/utils.zBoolean
- [].recurrency.filesType: arrayEjemplo:
- [].recurrency.files[]requiredType: object
- [].recurrency.files[].s3KeyrequiredType: string
- [].recurrency.files[].fileNamerequiredType: string
- [].createFirstInvoiceBoolean parser helper from common/utils.zBoolean
- [].generateTaxIdType: enumEjemplo: none
- [].taxIdType: stringEjemplo:
- [].taxInvoiceTypeType: number
- [].isInstantDeliveryBoolean parser helper from common/utils.zBoolean
- [].updatePricesBoolean parser helper from common/utils.zBoolean
- [].elementsType: arrayEjemplo:
- [].elements[]requiredType: unknown
- [].labelsType: arrayEjemplo:
- [].labels[]requiredType: string
- [].clientdataType: object
- [].metadataType: unknown
- [].taskIdType: number
- [].paymentType: object
- [].payment.paymentMethodrequiredType: enumEjemplo: CASH
- [].payment.accountIdrequiredType: number
- [].payment.amountType: number
- [].payment.stateType: enumEjemplo: PENDING
- [].payment.referenceType: string
- [].payment.amountConversionType: number
- [].payment.receivedFromType: number
- [].payment.descriptionType: string
- [].payment.labelsType: arrayEjemplo:
- [].payment.labels[]requiredType: string
- [].payment.clientdataType: object
- [].payment.dateType: string
- [].payment.metadataType: unknown
- [].creditType: object
- [].credit.amountrequiredType: number
- [].credit.interestrequiredType: number
- [].credit.periodrequiredType: enumEjemplo: DAILY
- [].credit.interestTypeType: enumEjemplo: COMPOUND
- [].credit.totalNumberOfPaymentsrequiredType: number
- [].credit.latePaymentFeeType: numberEjemplo: 0
- [].credit.latePaymentInDaysType: numberEjemplo: 3
- [].credit.paymentDaterequiredType: number
- [].credit.paymentsStartsOnType: string
- [].credit.pendingRecordIdType: number
- [].credit.accountIdType: number
- [].credit.paymentMethodType: enumEjemplo: CASH
- [].credit.contactType: arrayEjemplo:
- [].credit.contact[]requiredType: object
- [].credit.contact[].typerequiredType: string
- [].credit.contact[].datarequiredType: string
- [].credit.contact[].dataTypeType: enumEjemplo: string
- [].redeemType: object
- [].redeem.returnIdrequiredType: number
- [].redeem.amountrequiredType: number